Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Altera_Forum
Honored Contributor I
1,357 Views

uClinux Busybox build error

Greetings, 

 

I have been working to setup a Nios2 uClinux-dist build environment for the past couple of days. I started with the uClinux-dist-20101026.tar.bz2 download from the wiki pages. I then checked out and updated sources. I have been following the information for implementing the Devicetree configuration. I set the linux-2.6 branch to unstable-nios2mmu per the wiki. I selected all default options in the uClinux-dist configuration. 

 

nios2-linux/linux-2.6$ git branch nios2mmu test-nios2 * unstable-nios2mmu nios2-linux/uClinux-dist$ git branch test-nios2 * trunk The kernel is compiling properly and accepting my DTS. During compilation of busybox, I'm getting the following output and a make error: 

 

... CC libbb/xrealloc_vector.o CC libbb/xregcomp.o AR libbb/lib.a LINK busybox_unstripped Trying libraries: crypt m Library crypt is not needed, excluding it Library m is not needed, excluding it Final link with: <none> make: Leaving directory `nios2-linux/uClinux-dist/user/busybox/build-busybox-1.18.4' make: Leaving directory `nios2-linux/uClinux-dist/user/busybox' make: Leaving directory `nios2-linux/uClinux-dist/user' make: *** Error 2 make: Leaving directory `nios2-linux/uClinux-dist/user' make: *** Error 1 I've tried both available uClinux-dist branches (test-nios2 and trunk) with the same results. I have been searching for similar problems, but I haven't had much luck finding a resolution. I'm not very familiar with the uClinux build environment so I haven't been able to find any detailed logs to try and get more information about the problem. 

 

Am I missing some devel files for the mentioned libraries? Could there be something wrong in my environment variables? 

 

Any suggestions would be greatly appreciated.
0 Kudos
5 Replies
Altera_Forum
Honored Contributor I
176 Views

I never saw this error.. try to manipulate the busybox configurations under the applications tab and see if your error changes. Try to build it as a static lib

Altera_Forum
Honored Contributor I
176 Views

Thanks for the suggestion, aprado. I tried some of the different build options under the busybox menu, but none made a difference. 

 

To make sure the problem was originating in the busybox component, I disabled it entirely. This allowed me to get further, but I still had errors when trying to find the uuid/uuid.h header. I installed the uuid-dev package (Ubuntu) and was then able to complete a build. This appears to have also been the root cause of the busybox error. After installing uuid-dev and enabling busybox again, everything seems to have built without error.
Altera_Forum
Honored Contributor I
176 Views

Nice, take a look at this article: http://www.alterawiki.com/wiki/install_nios_ii_linux 

 

sudo apt-get install git-core git-gui make gcc ncurses-dev bison flex gawk \ gettext ccache zlib1g-dev libx11-dev texinfo liblzo2-dev pax-utils uboot-mkimage corkscrew 

You need those libs t compile everything. 

 

Cheers
Altera_Forum
Honored Contributor I
176 Views

good tip aprado...... 

 

 

it seems to me to be lack dependencies to build the kernel.......... 

after you install all dependencies first try to compile with defalt all settings at menuconfig 

 

good luck
Altera_Forum
Honored Contributor I
176 Views

Thanks! This seemed to fix my problem which looked very similar. I an running on fairly new Ubuntu 12.04 install, but I think I had seen similar problems in the past while building on an Ubuntu 10.10.  

 

I was getting the same error cited above. Oddly enough, though, the error did not appear every time. I think when I used my own .config files, I avoided this problem, possibly because I was excluded certain parts of the build. 

 

In any case, it would be good if this package requirements were added to the Wiki if they aren't already.
Reply